# Written by Phil Frost <indigo@bitglue.com>. Public Domain. If you like this
# software please consider giving money to Unununium <http://unununium.org/>.

'''Null output. A good place to start implementing a new output module.'''

import os
import sys
import rcsgraph

class Graph(rcsgraph.Graph):
    def generate_output(self):
        return


def print_help():
    '''Print usage help.'''
    print 'usage: %s [...] -i [...] -o null' % os.path.basename(sys.argv[0])


def parse_options(args):
    '''Parse command line options to the output module.

    What this returns will later be passed to graph_nodes.
    '''
    if args:
        print >> sys.stderr, 'error: null output module takes no arguments'
        sys.exit(1)


def graph_nodes(nodes, options):
    '''Get the graph for the list of nodes `nodes`

    `options` is the result of calling parse_options earlier.
    '''
    return Graph(nodes)
