# Written by Phil Frost <indigo@bitglue.com>. Public Domain. If you like this
# software please consider giving money to Unununium <http://unununium.org/>.

'''Output module to save the graph to a Python pickle.'''

import os
import sys
import rcsgraph
try: import cPickle as pickle
except ImportError: import pickle

class Graph(rcsgraph.Graph):
    def generate_output(self):
        return


def print_help():
    '''Print usage help.'''
    print 'usage: %s [...] -i [...] -o pickle FILENAME' % os.path.basename(sys.argv[0])


def parse_options(args):
    '''Parse command line options to the output module.

    What this returns will later be passed to graph_nodes.
    '''
    if len(args) != 1:
        print >> sys.stderr, 'error: pickle output module exactly one argument'
        sys.exit(1)
    return args[0]


def graph_nodes(nodes, pickleFile):
    '''Get the graph for the list of nodes `nodes`

    `options` is the result of calling parse_options earlier.
    '''
    pickle.dump(nodes, open(pickleFile, 'w'), -1)
    return Graph(nodes)
